API · Reference
All endpoints
All 118 routes of the API. Everything you can do in the console is here.
For each route's parameters, request body and response, open the interactive reference. Tools can read the same as OpenAPI or llms.txt. All three are generated from the API and always current; this page is a copy taken when the website was last published.
Sessions
Start, list, check, stop and direct live sessions.
POST
/v1/sessionsCreate SessionGET
/v1/sessionsList SessionsGET
/v1/sessions/{session_id}Get SessionPOST
/v1/sessions/{session_id}/stopStop SessionGET
/v1/sessions/{session_id}/stageGet StagePOST
/v1/sessions/{session_id}/stageChange StageCatalog
Faces, backdrops and cameras. Public: no key needed.
GET
/v1/catalog/facesCatalog FacesGET
/v1/catalog/backdropsCatalog BackdropsGET
/v1/catalog/camerasCatalog CamerasAgents & Business Brain
Create and configure agents, embed settings, previews, knowledge and the Brain editor.
POST
/v1/agent/createCreate AgentGET
/v1/agent/listList AgentsGET
/v1/agent/has-agentsCheck Has AgentsGET
/v1/agent/{agent_id}Get AgentDELETE
/v1/agent/{agent_id}Delete AgentPATCH
/v1/agent/{agent_id}Update AgentPOST
/v1/agent/{agent_id}/duplicateDuplicate AgentPOST
/v1/agent/{agent_id}/set-defaultSet Default AgentGET
/v1/agent/{agent_id}/embedGet Embed ConfigPATCH
/v1/agent/{agent_id}/embedUpdate Embed ConfigPOST
/v1/agent/{agent_id}/embed/regenerateRegenerate Embed KeyPOST
/v1/agent/{agent_id}/previewOpen PreviewPOST
/v1/agent/{agent_id}/embed/apply-to-allApply Embed To AllGET
/v1/agent/{agent_id}/visitor-valuesGet Visitor ValuesPATCH
/v1/agent/{agent_id}/visitor-valuesUpdate Visitor ValuesGET
/v1/agent/{agent_id}/visitor-values/secretReveal Visitor Signing SecretPOST
/v1/agent/{agent_id}/visitor-values/secretRotate Visitor Signing SecretPOST
/v1/agent/{agent_id}/visitor-values/previewPreview Visitor ValuesGET
/v1/agent/{agent_id}/extract-linksExtract LinksPOST
/v1/agent/{agent_id}/generate-brainGenerate BrainGET
/v1/agent/{agent_id}/brain-statusGet Brain StatusPOST
/v1/agent/{agent_id}/add-pageAdd PageGET
/v1/agent/{agent_id}/pages/listList PagesPATCH
/v1/agent/{agent_id}/pages/{page_id}Edit PageDELETE
/v1/agent/{agent_id}/pages/{page_id}Delete PageDELETE
/v1/agent/{agent_id}/pagesClear PagesGET
/v1/agent/{agent_id}/kb-sectionsList Kb SectionsPOST
/v1/agent/{agent_id}/kb-sectionsAdd Kb SectionPATCH
/v1/agent/{agent_id}/kb-sections/{topic}Edit Kb SectionDELETE
/v1/agent/{agent_id}/kb-sections/{topic}Delete Kb SectionPOST
/v1/agent/{agent_id}/v2/probeProbePOST
/v1/agent/{agent_id}/v2/schema/generateGenerate SchemaPOST
/v1/agent/{agent_id}/v2/extractExtractGET
/v1/agent/{agent_id}/v2/brainGet BrainGET
/v1/agent/{agent_id}/v2/completionCompletion StatusPOST
/v1/agent/{agent_id}/v2/recompileRecompilePOST
/v1/agent/{agent_id}/v2/answerAnswer QuestionPOST
/v1/agent/{agent_id}/v2/knowledge/opsKnowledge OpsPOST
/v1/agent/{agent_id}/v2/questions/stateQuestion StatePOST
/v1/agent/{agent_id}/v2/review/resolveReview ResolvePOST
/v1/agent/{agent_id}/v2/consolidateConsolidate NowPOST
/v1/agent/{agent_id}/v2/correctionCorrection PreviewPOST
/v1/agent/{agent_id}/v2/correction/applyCorrection ApplyGET
/v1/agent/{agent_id}/v2/rulesList RulesPOST
/v1/agent/{agent_id}/v2/rulesCreate RulePATCH
/v1/agent/{agent_id}/v2/rules/{rule_id}Update RuleDELETE
/v1/agent/{agent_id}/v2/rules/{rule_id}Delete RuleGET
/v1/agent/{agent_id}/v2/gapsList GapsPOST
/v1/agent/{agent_id}/v2/gaps/{gap_id}/answerAnswer GapPOST
/v1/agent/{agent_id}/v2/gaps/{gap_id}/dismissDismiss GapGET
/v1/agent/{agent_id}/v2/behaviorGet BehaviorPATCH
/v1/agent/{agent_id}/v2/behaviorUpdate BehaviorGET
/v1/agent/{agent_id}/v2/dynamic-instructionsGet Dynamic InstructionsPATCH
/v1/agent/{agent_id}/v2/dynamic-instructionsUpdate Dynamic InstructionsPOST
/v1/agent/{agent_id}/v2/dynamic-instructions/previewPreview Dynamic InstructionsGET
/v1/agent/{agent_id}/v2/orphansList OrphansPOST
/v1/agent/{agent_id}/v2/orphans/resolveResolve OrphanVoices
Voices by provider and language, with samples.
GET
/v1/voices/{provider}List VoicesGET
/v1/voices/{provider}/{voice_id}/previewVoice PreviewConversations & reports
Conversations, transcripts, stats and exports.
GET
/v1/reports/meReporting MeGET
/v1/reports/agentsReporting AgentsGET
/v1/reports/conversationsList ConversationsGET
/v1/reports/statsStatsGET
/v1/reports/export/conversationsExport ConversationsGET
/v1/reports/export/conversations/{conversation_id}Export TranscriptGET
/v1/reports/conversations/{conversation_id}Conversation DetailNotifications & data handoffs
Data handoff rules, webhook and Telegram destinations, delivery logs, notifications.
GET
/v1/notificationsList NotificationsGET
/v1/notifications/unread-countUnread CountPOST
/v1/notifications/readMark ReadGET
/v1/notifications/prefs/{agent_id}Get PrefsPUT
/v1/notifications/prefs/{agent_id}Update PrefsGET
/v1/notifications/rules/{agent_id}List RulesPOST
/v1/notifications/rules/{agent_id}Create RulePUT
/v1/notifications/rules/{agent_id}/{rule_id}Replace RuleDELETE
/v1/notifications/rules/{agent_id}/{rule_id}Delete RulePOST
/v1/notifications/rules/{agent_id}/test-deliveryTest Rule DeliveryPOST
/v1/notifications/rules/{agent_id}/builderRule Builder TurnPOST
/v1/notifications/rules/{agent_id}/testTest RuleGET
/v1/notifications/destinationsList DestinationsPOST
/v1/notifications/destinations/telegram/connectConnect Telegram DestinationGET
/v1/notifications/destinations/telegram/connect/{token}Telegram Destination Connect StatusPOST
/v1/notifications/destinations/webhookCreate Webhook DestinationPATCH
/v1/notifications/destinations/{destination_id}Update DestinationDELETE
/v1/notifications/destinations/{destination_id}Delete DestinationGET
/v1/notifications/destinations/{destination_id}/signing-secretReveal Signing SecretPOST
/v1/notifications/destinations/{destination_id}/rotate-secretRotate Signing SecretGET
/v1/notifications/destinations/{destination_id}/deliveriesWebhook DeliveriesPOST
/v1/notifications/destinations/{destination_id}/testTest DestinationPOST
/v1/notifications/telegram/connect/{agent_id}Telegram ConnectPOST
/v1/notifications/telegram/disconnect/{agent_id}Telegram DisconnectUsage
Minutes used.
GET
/v1/usage/summaryGet Usage SummaryBilling & wallet
Charges, line items, wallet balance and top-ups.
GET
/v1/billing/summarySummaryGET
/v1/billing/by-agentBy AgentGET
/v1/billing/voiceVoiceGET
/v1/billing/monthlyMonthlyGET
/v1/billing/line-itemsLine ItemsGET
/v1/billing/export/line-itemsExport Line ItemsGET
/v1/billing/walletGet WalletPOST
/v1/billing/wallet/topupWallet TopupGET
/v1/billing/wallet/topup/confirmWallet Topup ConfirmPOST
/v1/billing/wallet/portalWallet PortalGET
/v1/billing/planGet PlanSupport
Support tickets.
GET
/v1/support/agentsSupport AgentsPOST
/v1/support/ticketsCreate TicketGET
/v1/support/ticketsList TicketsGET
/v1/support/unread-countUnread CountGET
/v1/support/tickets/{ticket_id}Get TicketPOST
/v1/support/tickets/{ticket_id}/replyReply TicketPOST
/v1/support/tickets/{ticket_id}/closeClose TicketBase URL and authentication
All paths are relative to https://talk.selviaai.com. Send Authorization: Bearer sk_live_… with every call except the catalog.